package com.atlassian.bitbucket.mesh.git.content;

import com.atlassian.bitbucket.mesh.git.submodule.Submodule;

import javax.annotation.Nonnull;

public interface DirectoryCallback {

    boolean onDirectory(@Nonnull Directory directory);

    boolean onFile(@Nonnull File file);

    boolean onSubmodule(@Nonnull Submodule submodule);
}
